> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Screenshots

> List all screenshot URLs for a task.



## OpenAPI

````yaml /api-reference/tasks.yaml get /tasks/{task_id}/screenshots
openapi: 3.1.0
info:
  title: Tasks
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /tasks/{task_id}/screenshots:
    get:
      tags:
        - Tasks
      summary: Get Task Screenshots
      description: List all screenshot URLs for a task.
      operationId: get_task_screenshots_tasks__task_id__screenshots_get
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Task Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MediaListResponse'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Mobilerun from '@mobilerun/sdk';


            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });


            const screenshots = await
            client.tasks.screenshots.list('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');


            console.log(screenshots.urls);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            screenshots = client.tasks.screenshots.list(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(screenshots.urls)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/droidrun-cloud-go\"\n\t\"github.com/stainless-sdks/droidrun-cloud-go/option\"\n)\n\nfunc main() {\n\tclient := mobileruncloud.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tscreenshots, err := client.Tasks.Screenshots.List(context.TODO(), \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", screenshots.URLs)\n}\n"
        - lang: CLI
          source: |-
            mobilerun-cloud tasks:screenshots list \
              --api-key 'My API Key' \
              --task-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  schemas:
    MediaListResponse:
      properties:
        urls:
          items:
            type: string
          type: array
          title: Urls
          description: The list of media URLs
      type: object
      required:
        - urls
      title: MediaListResponse
    UnauthorizedResponse:
      properties:
        title:
          type: string
          title: Title
          description: The title of the error
          default: Unauthorized
        status:
          type: integer
          title: Status
          description: The status code of the error
          default: 401
        detail:
          type: string
          title: Detail
          description: The detail of the error
          default: You are not authorized to access this resource
        errors:
          items: {}
          type: array
          title: Errors
          description: The errors
          default: []
      type: object
      title: UnauthorizedResponse
    ErrorResponse:
      properties:
        title:
          type: string
          title: Title
          description: The title of the error
        status:
          type: integer
          title: Status
          description: The status code of the error
        detail:
          type: string
          title: Detail
          description: The detail of the error
        errors:
          items: {}
          type: array
          title: Errors
          description: The errors
      type: object
      required:
        - title
        - status
        - detail
        - errors
      title: ErrorResponse
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````